@echo off
echo .
echo .
echo . Install RxDOS
echo . ------------------------------------------
echo .
echo . Usage:
echo .    install drive:\path
echo .

if %1x==x goto Done
if not exist rxdos.sys goto Error
if not exist rxdoscmd.exe goto Error

copy install.bat %1    > nul
if exist %1\install.bat goto Cont_Install
echo . make directory '%1' ?
echo . (control-C to cancel)
pause

md %1                  > nul
md %1\utils            > nul
if exist %1\install.bat goto Cont_Install

echo . 
echo . invalid parameter '%1'
echo .   path name may be invalid.
echo . 
echo . good example:
echo .   install c:\rxdos
goto Done

:Cont_Install
md %1\utils            > nul
md %1\utils            > nul
copy *.* %1
copy utils\*.* %1\utils
goto Done

:Error
echo . Could not find critical files. You must be running from
echo . the floppy.  Please do
echo .
echo .     a:
echo .     install c:\rxdos
echo . or
echo .     b:
echo .     install c:\rxdos
echo .

:Done

